Page MenuHomePhabricator

[Task] Define RDF mappings per value type
Closed, ResolvedPublic

Description

RDF mappings should be defined for all value types; overrides based on the property data type should only be used where needed. This would make it easier to add new data types that do not need a special mapping in RDF.

Event Timeline

daniel renamed this task from Define RDF mappings per value type to [Task] Define RDF mappings per value type.Nov 12 2015, 9:08 PM
daniel set Security to None.

Where is the change?

Change 253321 merged by jenkins-bot:
Register factory callbacks for value types as well as data types.

https://gerrit.wikimedia.org/r/253321

adrianheine closed this task as Resolved.Dec 7 2015, 10:18 AM
adrianheine moved this task from Review to Done on the Wikidata-Sprint-2015-12-01 board.
JanZerebecki reopened this task as Open.Dec 7 2015, 12:34 PM
JanZerebecki added a subscriber: JanZerebecki.

Needs change in WikibaseQualitExternalValidation:
https://integration.wikimedia.org/ci/job/mwext-testextension-hhvm/777/console

10:10:08 1) WikibaseQuality\ExternalValidation\Tests\CrossCheck\ValueParser\ComparativeValueParserFactoryTest::testNewComparativeStringValueParser
10:10:08 Wikimedia\Assert\ParameterAssertionException: Bad value for parameter $dataTypeDefinitions[monolingualtext]: Key must start with a prefix like "PT:" or "VT:".
10:10:08 
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/wikimedia/assert/src/Assert.php:63
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:77
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:60
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:49
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:22
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:137
10:10:08 
10:10:08 2) WikibaseQuality\ExternalValidation\Tests\CrossCheck\ValueParser\ComparativeValueParserFactoryTest::testNewComparativeMultilingualTextValueParser
10:10:08 Wikimedia\Assert\ParameterAssertionException: Bad value for parameter $dataTypeDefinitions[monolingualtext]: Key must start with a prefix like "PT:" or "VT:".
10:10:08 
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/wikimedia/assert/src/Assert.php:63
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:77
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:60
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:49
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:27
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:137
10:10:08 
10:10:08 3) WikibaseQuality\ExternalValidation\Tests\CrossCheck\ValueParser\ComparativeValueParserFactoryTest::testNewComparativeValueParser
10:10:08 Wikimedia\Assert\ParameterAssertionException: Bad value for parameter $dataTypeDefinitions[monolingualtext]: Key must start with a prefix like "PT:" or "VT:".
10:10:08 
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/vendor/wikimedia/assert/src/Assert.php:63
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:77
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/Wikibase/lib/includes/DataTypeDefinitions.php:60
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:49
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/extensions/Wikidata/extensions/ExternalValidation/tests/phpunit/CrossCheck/ValueParser/ComparativeValueParserFactoryTest.php:32
10:10:08 /mnt/jenkins-workspace/workspace/mwext-testextension-hhvm/src/tests/phpunit/MediaWikiTestCase.php:137